use strict;

package ASCOPE::Class::Text::CDATA;
use base qw (ASCOPE::Class::Text);

$ASCOPE::Class::Text::CDATA::VERSION = '1.0';

use overload q("") => sub { "<![CDATA[".shift->raw()."]]>"; };

return 1;

__END__

=head1 NAME

ASCOPE::Class::Text::CDATA - Aaron's class thingy for CDATA text widgets.

=head1 SYNOPSIS

 my $text = ASCOPE::Class::Text::CDATA->new("hello world");
 print $text;

 # prints "<![CDATA[hello world]]>"

=head1 DESCRIPTION

Aaron's class thingy for CDATA text widgets.

Overloads the object's I<""> operator to return the value
of the text passed to the object constructor wrapped in XML/SGML
<![CDATA[]]> tags.

=head1 PACKAGE METHODS

=head2 __PACKAGE__->new($text)

Returns an object. Woot!

=head1 OBJECT METHODS

=head2 $obj->raw()

Get the raw text passed to the object constructor.

Returns a string.

=head1 VERSION

1.0

=head1 DATE

$Date: 2003/03/12 02:33:30 $

=head1 AUTHOR

Aaron Straup Cope

=head1 SEE ALSO

L<ASCOPE::Class::Text>

=head1 LICENSE

Copyright (c) 2003 Aaron Straup Cope. All Rights Reserved.

This is free software, you may use it and distribute it under
the same terms as Perl itself.

=cut

